-- | Interaction with @jack-dl@, @scsynth@ and @text-dl@.
module Sound.DF.Uniform.GADT.Audition where

import Sound.OSC {- hosc -}

import Sound.DF.Uniform.GADT.DF
import Sound.DF.Uniform.UDF as U

-- | Audition graph at @jack-dl@ after sending initialisation messages.
audition :: [Message] -> DF () -> IO ()
audition is n = U.audition is (df_erase n)

-- | Audition graph at @SC3@ after sending initialisation messages.
audition_sc3 :: [Message] -> DF () -> IO ()
audition_sc3 is n = U.audition_sc3 is (df_erase n)

-- | Audition graph at @text-dl@.
audition_text :: Int -> DF () -> IO ()
audition_text nf n = U.audition_text nf (df_erase n)
